Failed to install nodester cli #255

Closed
bagusflyer opened this Issue Dec 24, 2011 · 5 comments

Projects

None yet

2 participants

@bagusflyer

Here is the error message:

npm http GET https://registry.npmjs.org/nodester-cli
npm http 304 https://registry.npmjs.org/nodester-cli
npm ERR! Error: UNKNOWN, unknown error '/usr/local/lib/node_modules'
npm ERR! Report this entire log at:
npm ERR! http://github.com/isaacs/npm/issues
npm ERR! or email it to:
npm ERR! npm-@googlegroups.com
npm ERR!
npm ERR! System Darwin 11.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "nodester-cli" "-g"
npm ERR! cwd /Users/zhouhao
npm ERR! node -v v0.6.6
npm ERR! npm -v 1.1.0-beta-4
npm ERR! path /usr/local/lib/node_modules
npm ERR! fstream_path /usr/local/lib/node_modules/___nodester-cli.npm
npm ERR! fstream_type Directory
npm ERR! fstream_class DirWriter
npm ERR! code UNKNOWN
npm ERR! message UNKNOWN, unknown error '/usr/local/lib/node_modules'
npm ERR! fstream_stack Object.oncomplete (/usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:161:23)
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR! /Users/zhouhao/npm-debug.log
npm not ok

Do you need my log file? How can I attach my log file in my post?

Thanks

@bagusflyer

The log file:

info it worked if it ends with ok
verbose cli [ 'node', '/usr/local/bin/npm', 'install', 'nodester-cli', '-g' ]
info using npm@1.1.0-beta-4
info using node@v0.6.6
verbose config file /Users/zhouhao/.npmrc
verbose config file /usr/local/etc/npmrc
verbose config file /usr/local/lib/node_modules/npm/npmrc
verbose into /usr/local/lib [ 'nodester-cli' ]
verbose cache add nodester-cli
verbose cache add [ 'nodester-cli', null ]
silly cache add: name, spec, args [ undefined, 'nodester-cli', [ 'nodester-cli', null ] ]
verbose parsed url { pathname: 'nodester-cli',
verbose parsed url path: 'nodester-cli',
verbose parsed url href: 'nodester-cli' }
verbose addNamed [ 'nodester-cli', '' ]
verbose addNamed [ null, '' ]
silly name, range, hasData [ 'nodester-cli', '', false ]
verbose raw, before any munging nodester-cli
verbose url resolving [ 'https://registry.npmjs.org/', './nodester-cli' ]
verbose url resolved https://registry.npmjs.org/nodester-cli
verbose etag "D9ALGAFFYU2F2NE9FM600XHGG"
http GET https://registry.npmjs.org/nodester-cli
http 304 https://registry.npmjs.org/nodester-cli
silly get cb [ 304,
silly get cb { server: 'CouchDB/1.1.0 (Erlang OTP/R14B04)',
silly get cb etag: '"D9ALGAFFYU2F2NE9FM600XHGG"',
silly get cb date: 'Sat, 24 Dec 2011 23:00:35 GMT',
silly get cb 'content-length': '0' } ]
verbose etag nodester-cli from cache
silly name, range, hasData 2 [ 'nodester-cli', '', true ]
silly versions [ 'nodester-cli',
silly versions [ '0.1.0',
silly versions '0.1.1',
silly versions '0.1.2',
silly versions '0.1.3',
silly versions '0.1.5',
silly versions '0.1.6',
silly versions '0.1.7',
silly versions '0.2.0',
silly versions '0.2.1',
silly versions '0.2.3',
silly versions '0.2.4',
silly versions '0.2.5',
silly versions '0.2.6',
silly versions '0.2.7',
silly versions '0.2.8',
silly versions '0.2.9',
silly versions '0.2.10',
silly versions '0.2.11',
silly versions '0.2.12',
silly versions '0.2.13',
silly versions '0.2.14',
silly versions '0.2.15',
silly versions '0.2.17',
silly versions '0.2.18',
silly versions '0.2.19',
silly versions '0.2.20',
silly versions '0.2.31',
silly versions '0.2.32',
silly versions '0.2.33',
silly versions '0.2.34' ] ]
verbose bin dist [ '0.6-ares1.7.5-DEV-evundefined-openssl0.9.8r-v83.6.6.14-darwin-x64-11.2.0',
verbose bin dist { shasum: '22de317859966070fd1df199ea09b573bfe9e925',
verbose bin dist tarball: 'http://registry.npmjs.org/nodester-cli/-/nodester-cli-0.2.34.tgz' } ]
verbose caching /Users/zhouhao/.npm/nodester-cli/0.2.34/package/package.json
verbose loadDefaults nodester-cli@0.2.34
silly resolved [ { name: 'nodester-cli',
silly resolved description: 'A CLI tool to allow interaction with the http://nodester.com/ platform.',
silly resolved version: '0.2.34',
silly resolved homepage: 'http://nodester.com/',
silly resolved repository:
silly resolved { type: 'git',
silly resolved url: 'git://github.com/nodester/nodester-cli.git' },
silly resolved author:
silly resolved { name: 'Daniel Bartlett',
silly resolved email: 'dan@f-box.org',
silly resolved url: 'http://danb-uk.net/' },
silly resolved contributors:
silly resolved [ { name: 'Dav Glass', email: 'davglass@gmail.com' },
silly resolved { name: 'Chris Matthieu', email: 'chris@matthieu.us' },
silly resolved { name: 'Abraham Williams', email: '4braham@gmail.com' },
silly resolved { name: 'Contra', email: 'contra@australia.edu' },
silly resolved { name: 'Marcos Oliveira' } ],
silly resolved preferGlobal: 'true',
silly resolved bin: { nodester: 'bin/nodester.js' },
silly resolved main: './lib/commands.js',
silly resolved engines: { node: '' },
silly resolved dependencies:
silly resolved { 'nodester-api': '>= 0.1.14',
silly resolved colors: '0.3.0',
silly resolved iniparser: '1.0.1' },
silly resolved id: 'nodester-cli@0.2.34',
silly resolved devDependencies: {},
silly resolved _engineSupported: true,
silly resolved _npmVersion: '1.1.0-beta-4',
silly resolved _nodeVersion: 'v0.6.6',
silly resolved _defaultsLoaded: true } ]
info into /usr/local/lib nodester-cli@0.2.34
info installOne nodester-cli@0.2.34
info unbuild /usr/local/lib/node_modules/nodester-cli
verbose from cache /Users/zhouhao/.npm/nodester-cli/0.2.34/package/package.json
verbose unpack
uid, gid [ undefined, undefined ]
verbose unpackTarget /usr/local/lib/node_modules/nodester-cli
silly gunzTarPerm modes [ '755', '644' ]
ERR! Error: UNKNOWN, unknown error '/usr/local/lib/node_modules'
ERR! Report this *entire
log at:
ERR! http://github.com/isaacs/npm/issues
ERR! or email it to:
ERR! npm-@googlegroups.com
ERR!
ERR! System Darwin 11.2.0
ERR! command "node" "/usr/local/bin/npm" "install" "nodester-cli" "-g"
ERR! cwd /Users/zhouhao
ERR! node -v v0.6.6
ERR! npm -v 1.1.0-beta-4
ERR! path /usr/local/lib/node_modules
ERR! fstream_path /usr/local/lib/node_modules/___nodester-cli.npm
ERR! fstream_type Directory
ERR! fstream_class DirWriter
ERR! code UNKNOWN
ERR! message UNKNOWN, unknown error '/usr/local/lib/node_modules'
ERR! fstream_stack Object.oncomplete (/usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:161:23)
verbose exit [ 1, true ]

@contra

Are you able to install other packages? This seems to be an npm issue you might want to open

@contra contra closed this Dec 26, 2011
@bagusflyer
@bagusflyer
@contra

If you look at the log it says

npm ERR! Report this entire log at:
npm ERR! http://github.com/isaacs/npm/issues

You should probably do that as this error has nothing to do with us

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment